
#ifndef TransparencyApplication_h
#define TransparencyApplication_h

// $Id: TransparencyApplication.h,v 1.11 2014/01/12 18:36:25 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Application.h"
#include "CommandLineArguments.h"

class TransparencyApplication: public Application
{


    Q_OBJECT

    public:

    //! constructor
    TransparencyApplication( CommandLineArguments arguments ):
        Application( arguments )
    { Debug::Throw( "TransparencyApplication::TransparencyApplication.\n" ); }

    //! set application type
    /*! initialize options, application name, and set MainWindow */
    void setApplicationType( const ApplicationType& type );

    //! command line parser
    CommandLineParser commandLineParser( CommandLineArguments = CommandLineArguments(), bool ignoreWarnings = true ) const;

    //! command line help
    void usage( void ) const;

};

#endif
